%define api_version 2.0
%define pkg_name geronimo-jpa_%{api_version}_spec
Name:          geronimo-jpa-2.0-api
Version:       1.1
Release:       %mkrel 2
Summary:       Apache Geronimo JSR-317 JPA 2.0 Spec API
License:       ASL 2.0
Group:         Development/Java
URL:           http://geronimo.apache.org/
Source0:       http://repo2.maven.org/maven2/org/apache/geronimo/specs/%{pkg_name}/%{version}/%{pkg_name}-%{version}-source-release.tar.gz
Patch0:        geronimo-jpa-2.0-api-1.1-pom.patch

BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: felix-osgi-compendium
BuildRequires: felix-osgi-core
BuildRequires: felix-osgi-foundation
BuildRequires: geronimo-osgi-locator
BuildRequires: geronimo-parent-poms
BuildRequires: servlet25

BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin

Requires:      felix-osgi-compendium
Requires:      felix-osgi-core
Requires:      felix-osgi-foundation
Requires:      servlet25

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Implementation of Sun JSR-317 JPA 2.0 Spec API.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
Apache Geronimo JSR-317 JPA 2.0 Spec API.

This package contains javadoc for %{name}.

%prep
%setup -q -n %{pkg_name}-%{version}

for d in LICENSE NOTICE ; do
  iconv -f iso8859-1 -t utf-8 $d > $d.conv && mv -f $d.conv $d
  sed -i 's/\r//' $d
done

%patch0 -p0

%build
mvn-rpmbuild install javadoc:aggregate
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}%{_javadir}
install -m 644 target/%{pkg_name}-%{version}.jar \
  %{buildroot}%{_javadir}/geronimo-jpa-%{api_version}-api-%{version}.jar

(
  cd %{buildroot}%{_javadir}/
  ln -sf geronimo-jpa-%{api_version}-api-%{version}.jar geronimo-jpa-%{api_version}-api.jar
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-geronimo-jpa-%{api_version}-api.pom
%add_maven_depmap JPP-geronimo-jpa-%{api_version}-api.pom geronimo-jpa-%{api_version}-api.jar

mkdir -p %{buildroot}%{_javadocdir}/geronimo-jpa-%{api_version}-api
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/geronimo-jpa-%{api_version}-api
%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/geronimo-jpa-%{api_version}-api-%{version}.jar
%{_javadir}/geronimo-jpa-2.0-api.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE NOTICE

%files javadoc
%{_javadocdir}/geronimo-jpa-%{api_version}-api


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.1-2.mga3
+ Revision: 351455
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 19 2011 gil <gil> 1.1-1.mga2
+ Revision: 156613
- imported package geronimo-jpa-2.0-api

